summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2022-04-01 07:12:08 +0200
committerHans de Graaff <graaff@gentoo.org>2022-04-02 07:56:14 +0200
commit1941271d92833701b1724f502488b66e3e93c8bb (patch)
tree0acc8819b85230e7a554c508a872990a40766395
parentdev-ruby/windows_error: drop 0.1.2-r1 (diff)
downloadgentoo-1941271d92833701b1724f502488b66e3e93c8bb.tar.gz
gentoo-1941271d92833701b1724f502488b66e3e93c8bb.tar.bz2
gentoo-1941271d92833701b1724f502488b66e3e93c8bb.zip
dev-ruby/windows_error: add 0.1.4
Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/windows_error/Manifest1
-rw-r--r--dev-ruby/windows_error/windows_error-0.1.4.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/dev-ruby/windows_error/Manifest b/dev-ruby/windows_error/Manifest
index 68b49c18ce2..16647428996 100644
--- a/dev-ruby/windows_error/Manifest
+++ b/dev-ruby/windows_error/Manifest
@@ -1 +1,2 @@
DIST windows_error-0.1.3.gem 227328 BLAKE2B 2d0dc8771cd68983bafb3d97d27663e30cb02c67eb982d6b76104ec46405b1a7f055437046dedf068c074deb2b2d1ea49a327109be2f25ea5bd70ab2ee2bd698 SHA512 c74d5a17c44772505b745678c67b3bcaba6710e9b4e59b9aba45daacb6993d3b6529a1f9a53f76e2c31cae922f8f36e40fefa6a232f9ed8ba9034fa109d8317d
+DIST windows_error-0.1.4.gem 227328 BLAKE2B c99a03944dd8c0bfdc3346b49b76a7980510d7665e2f4a53657b699f2134d1c1bf53d5b3b6ef375f7496bb057f3bcca2ad3833f69c9178ac7efb3a31e0fda5a6 SHA512 5731fe7a10264244066d0b282bd273c265519a483c3d6be848c32edb834714b151f1536ae7e16527a0f7fe410ca5f9d3f7dc9dff98a8b175a847a7fd77938a95
diff --git a/dev-ruby/windows_error/windows_error-0.1.4.ebuild b/dev-ruby/windows_error/windows_error-0.1.4.ebuild
new file mode 100644
index 00000000000..112db8a3ab1
--- /dev/null
+++ b/dev-ruby/windows_error/windows_error-0.1.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="reference for standard Windows API Error Codes"
+HOMEPAGE="https://github.com/rapid7/windows_error"
+
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ rm -f .rspec || die
+}